<?php
class ExceptionTest extends PHPUnit_Framework_TestCase {

    public function testMissingConsumerQueueName() {
        $exception = \Zeedhi\Queue\Exception::missingConsumerQueueName("\\ClassName");
        $this->assertInstanceOf('\Zeedhi\Queue\Exception', $exception);
        $this->assertEquals("Missing queue name for Queue Consumer class \\ClassName.", $exception->getMessage());
    }

    public function testMissingProducerQueueName() {
        $exception = \Zeedhi\Queue\Exception::missingProducerQueueName("\\ClassName");
        $this->assertInstanceOf('\Zeedhi\Queue\Exception', $exception);
        $this->assertEquals("Missing queue name for Queue Producer class \\ClassName.", $exception->getMessage());

    }

    public function testFailedToSendData() {
        $exception = \Zeedhi\Queue\Exception::failedToSendData();
        $this->assertInstanceOf('\Zeedhi\Queue\Exception', $exception);
        $this->assertEquals("Failed to send your data to queue", $exception->getMessage());
    }
}
